<?php
  ///////////////////////////////////////////////////
  // Вход в систему
  ///////////////////////////////////////////////////

  require_once "config.php";
  require_once "utils/functions.php";

  if(empty($_POST['login'])) {puterror2('',"Кажется вы забыли ввести логин."); exit();}
  if(empty($_POST['password'])) {puterror2('',"Кажется вы забыли ввести пароль."); exit();}
  if(strlen($_POST['login'])>200) {puterror2('',"Логин слишком большой, используйте пожалуйста не больше 100 символов."); exit();}
  if(strlen($_POST['password'])>200) {puterror2('',"Пароль слишком большой, используйте пожалуйста не больше 100 символов."); exit();}

  if(isset($_POST['login'])) {$login=trim($_POST['login']);}
    else {$login="";}
     if(empty($login)) {puterror2('',"Пробелы не подойдут в качестве логина..."); exit();}

  if(isset($_POST['password'])) {$password=trim($_POST['password']);}
    else {$password="";}
     if(empty($password)) {puterror2('',"Пробелы не подойдут в качестве пароля..."); exit();}

  $_POST['login'] = str_replace("'","`",$_POST['login']);
  $_POST['password'] = str_replace("'","`",$_POST['password']);
  $_POST['login'] = htmlspecialchars(stripslashes($_POST['login']));
  $_POST['password'] = htmlspecialchars(stripslashes($_POST['password']));

  $query = "SELECT login_id, login, pass FROM `tbl_logins` WHERE `login`='".$_POST['login']."' ";
  $result = mysqli_query($dbcnx,$query);
  if(!$result) {puterror2("'',".$TEXT['error-tbl7']); exit();}
      $result2 = mysqli_fetch_array($result);
      $ident = $result2['login_id'];
  //Проверяем правильность пароля и вычисляем его для хранения в базе
  $passwrd = md5($_POST['password']);
     if($passwrd == $result2['pass'])
     {
       setcookie("passwrd", $passwrd, time()+3600*8);
       setcookie("ident", $ident, time()+3600*8);

       echo "<HTML><HEAD>
             <META HTTP-EQUIV='Refresh' CONTENT='0; URL=film_main.php'>
             </HEAD>";
     }
     else {puterror2('',"<br />Пара логин-пароль не верна! <br />Вернитесь и попробуйте ещё раз.<br /><a href=index.php title='Домашняя библиотека'>Вход</a>"); exit();}
?>